Bug 205361 - vesa(4) displays previous session briefly
vesa(4) displays previous session briefly
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xorg-x11 (Show other bugs)
4.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: Desktop, OtherQA
: 447348 448779 (view as bug list)
Depends On: 199133
Blocks: 246028
  Show dependency treegraph
 
Reported: 2006-09-06 07:58 EDT by Charles Rose
Modified: 2010-10-22 01:57 EDT (History)
9 users (show)

See Also:
Fixed In Version: RHBA-2008-0657
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:07:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf of PE1750 (2.72 KB, text/plain)
2007-09-07 01:13 EDT, Raghavendra Biligiri
no flags Details
Xorg.log from PE1750 (52.90 KB, text/plain)
2007-09-07 01:14 EDT, Raghavendra Biligiri
no flags Details

  None (edit)
Description Charles Rose 2006-09-06 07:58:50 EDT
+++ This bug was initially created as a clone of Bug #199133 +++

Description of problem:

Starting X with low resolutions with the VESA driver causes the previous video
buffer to displayed momentarily. This could be a security issue. The user can
see what was on the previous X session.


Version-Release number of selected component (if applicable):
RHEL 4 update 4 (all architectures)

How reproducible:
always.

Steps to Reproduce:
1.modify xorg.conf to use the VESA driver.
2.startx and run a few client apps
3.quit X windows
4.start X again
  
Actual results:
The screen displays content from the previous session.

Expected results:
The screen needs to be blank till GUI comes up.

Additional info:
This behaviour is not seen when the manufacturers driver is used.
Comment 1 Issue Tracker 2006-09-07 19:03:12 EDT
Need to clear X video buffers to prevent the retention of previous screen
informaton when starting new X session. Dell bug#205361 linked to IT.

This is the RHEL4 sibling of IT-100938/BZ-199133 in RHEL3. 


Issue escalated to Support Engineering Group by: sbenjamin.
sbenjamin assigned to issue for Dell-Engineering.
Bugzilla id 205361 added to issue.
Category set to: X Windows
Internal Status set to 'Waiting on SEG'
Status set to: Waiting on Tech

This event sent from IssueTracker by sbenjamin 
 issue 101290
Comment 3 RHEL Product and Program Management 2006-12-14 08:29:27 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Søren Sandmann Pedersen 2006-12-19 18:25:08 EST
Devel ack
Comment 6 Charles Rose 2007-01-10 00:26:38 EST
Would it be possible for us to have a test package?
Comment 7 Samuel Benjamin 2007-01-10 18:47:29 EST
All ACK's received for 4.5.

Can we provide Dell with a test package for verification?
Comment 8 Søren Sandmann Pedersen 2007-01-11 13:55:55 EST
The packages in

/mnt/redhat/brewroot/packages/xorg-x11/6.8.2/1.EL.13.41

contain this fix.
Comment 9 Charles Rose 2007-01-17 02:36:51 EST
(In reply to comment #8)
> The packages in
> 
> /mnt/redhat/brewroot/packages/xorg-x11/6.8.2/1.EL.13.41
how can Dell access this? Is there a URL?

> 
> contain this fix.

Comment 16 Adam Jackson 2007-04-09 12:11:01 EDT
Reopening, and backing this out of 4.5 due to issues with some video cards.

This needs to be reimplemented some other way.  The patch backed out of 4.5 did
a memset() of all of video memory before screen init, but this is potentially
dangerous since that memory might not be mapped, or might contain registers. 
Probably the correct thing to do is blank the screen on X server shutdown instead.
Comment 19 Suzanne Yeghiayan 2007-04-11 17:45:49 EDT
This issue was not resolved in RHEL 4.5.
Moved to 4.6.
Comment 20 Adam Jackson 2007-08-02 10:32:23 EDT
Built a patch to blank the screen at exit, which is about as good as we can do
for vesa chips.  Built as xorg-x11 6.8.2-1.EL.26.  MODIFIED.
Comment 22 John Poelstra 2007-08-29 12:37:18 EDT
A fix for this issue should have been included in the packages contained in the
RHEL4.6 Beta released on RHN (also available at partners.redhat.com).  

Requested action: Please verify that your issue is fixed to ensure that it is
included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 23 John Poelstra 2007-09-05 18:26:18 EDT
A fix for this issue should have been included in the packages contained in 
the RHEL4.6-Snapshot1 on partners.redhat.com.  

Requested action: Please verify that your issue is fixed to ensure that it is 
included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed, 
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent 
symptoms of the problem you are having and change the status of the bug to 
FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test 
results to Issue Tracker.  If you need assistance accessing 
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 24 Raghavendra Biligiri 2007-09-06 05:44:23 EDT
The issue is not resolved in RHEL4.6-Beta (xorg-x11-6.8.2-1.EL.27).
When we start X session(startx),open a Mozilla Firefox browser and then close
the X session and restart the X session, previous firefox browser is seen for a
couple of seconds before the new X session starts.
Comment 25 Adam Jackson 2007-09-06 14:18:31 EDT
(In reply to comment #24)
> The issue is not resolved in RHEL4.6-Beta (xorg-x11-6.8.2-1.EL.27).
> When we start X session(startx),open a Mozilla Firefox browser and then close
> the X session and restart the X session, previous firefox browser is seen for a
> couple of seconds before the new X session starts.

What configuration were you testing where you still experience this?
Comment 26 Raghavendra Biligiri 2007-09-07 01:09:46 EDT
Tested this issue on PE1750 with 2 SCSI disks attached.
Attached the xorg.conf and the Xorg log.
Comment 27 Raghavendra Biligiri 2007-09-07 01:13:33 EDT
Created attachment 189511 [details]
xorg.conf of PE1750
Comment 28 Raghavendra Biligiri 2007-09-07 01:14:13 EDT
Created attachment 189521 [details]
Xorg.log from PE1750
Comment 30 Jay Turner 2007-09-18 07:05:40 EDT
Moving to Assigned . . . FAILS_QA is only used by the RHN team these days.
Comment 31 Adam Jackson 2007-09-18 17:16:10 EDT
There is another bug that may be a related issue.  Please try the test RPMs at:

http://people.redhat.com/ajackson/293221/

They will probably need to be installed with --nodeps or --force.
Comment 32 Larry Troan 2007-09-19 12:56:18 EDT
Changing to NEEDINFO per comment #31 above:
Comment 34 Adam Jackson 2007-09-24 09:32:46 EDT
This may not be a showstopper, but I would still appreciate a test report from
xorg-x11 6.8.2-1.EL.32, which should be in the next snapshot.  It contains a fix
for what I think is a related, possibly identical, issue.
Comment 35 Larry Troan 2007-09-25 10:14:13 EDT
Ajax, "test report" in comment #34? Do you mean xlog or sysreport?
Comment 36 Larry Troan 2007-09-25 13:22:36 EDT
Latest build on ../nightly/RHEL4-U6-re20070924.nightly/i386/i386-AS/RedHat/RPMS/
is xorg-x11-6.8.2-1.EL.27 (not .32 as requested).

Waiting for a build to test with.
Comment 37 Adam Jackson 2007-09-27 14:24:07 EDT
http://porkchop.devel.redhat.com/brewroot/packages/xorg-x11/6.8.2/1.EL.32/

Larry, you probably want to copy these to your people page.
Comment 38 Larry Troan 2007-09-27 15:45:12 EDT
Dell, please test with the xorg files on my people.page and report back results
in this bug: http://people.redhat.com/ltroan/fixes/.205361/
Comment 39 Larry Troan 2007-10-02 10:30:25 EDT
Charles.... Ping.
Comment 40 Raghavendra Biligiri 2007-10-03 00:22:03 EDT
Tested with the xorg packages(version 6.8.2-1.EL.32) provided in comment #38. 
If I start X session and open gnome-terminal or file browser and close the X 
session and restart X the issue is not seen. But if I open a Mozilla firefox 
browser in X and restart X, the firefox browser is seen for a couple of seconds 
before the X starts.
Comment 41 Adam Jackson 2007-10-04 10:20:14 EDT
That makes no sense at all.  The code to blank the screen at exit doesn't care
what apps you were running beforehand.
Comment 46 Adam Jackson 2008-04-01 15:04:33 EDT
Added Option "ModeSetClearScreen" to the vesa driver in xorg-x11 6.8.2-1.EL.40.
 This sets the bit in the VBE mode set call to request that the BIOS clear the
screen for you.  It is not enabled by default, as it does not work correctly on
all BIOSes, and may cause the BIOS to misprogram the mode.  That said, I'm
interested to know if it doesn't work for this configuration.

MODIFIED for now, please move back to ASSIGNED if this option doesn't fix things.
Comment 50 Adam Jackson 2008-06-04 15:12:56 EDT
The patch for this is broken.  Backing it out for now in the name of having
working vesa.
Comment 52 Adam Jackson 2008-06-12 13:10:26 EDT
(Hopefully) fixed version of the patch built in -1.EL.50.  Back to MODIFIED.
Comment 54 Adam Jackson 2008-06-13 17:35:49 EDT
*** Bug 447348 has been marked as a duplicate of this bug. ***
Comment 55 Adam Jackson 2008-06-13 17:36:12 EDT
*** Bug 448779 has been marked as a duplicate of this bug. ***
Comment 56 Zack Cerza 2008-06-16 17:40:59 EDT
Verified in -1.EL.50 on both counts: vesa works, and the previous session is not
shown on restart.
Comment 60 Raghavendra Biligiri 2008-07-07 06:06:27 EDT
Issue not reproducible with xorg-x11-6.8.2-1.EL.52 (RHEL4.7-Snapshot5)
Comment 62 errata-xmlrpc 2008-07-24 15:07:41 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0657.html
Comment 63 Chris Ward 2008-07-29 03:29:55 EDT
Partners, I would like to thank you all for your participation in assuring the
quality of this RHEL 4.7 Update Release. My hat's off to you all. Thanks.

Note You need to log in before you can comment on or make changes to this bug.